import { Badge, Tag } from 'antd'
import React from 'react'
import { WarningTypeEnum } from './config'
function tableConfig(): any {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center',
            width: 55,
        },
        {
            title: '规则名称',
            dataIndex: 'ruleName',
            key: 'ruleName',
            width: 120,
            ellipsis: true,
        },
        {
            title: '通知频率',
            dataIndex: 'notifyFrequency',
            key: 'notifyFrequency',
            align: 'center',
            width: 70,
            render: (a: string, b: any) => {
                return <span>{a}分钟</span>
            }
        },
        {
            title: '告警方式',
            dataIndex: 'warningType',
            key: 'warningType',
            align: 'center',
            width: 90,
            render: (a: string[], b: any) => {
                return a?.map((item, index) => <Tag color={['#f50', '#2db7f5'][index]} key={index}>{WarningTypeEnum[item]}</Tag>)
            }
        },
        {
            title: '是否默认规则',
            dataIndex: 'defaultRule',
            key: 'defaultRule',
            align: 'center',
            width: 70,
            render: (a: 0 | 1, b: any) => {
                return <Badge status={{'0' : 'error', '1': 'success'}[a] as any} text={{'0': '否', '1': '是'}[a]}/>
            }
        },
    ]
}
export default tableConfig